Package com.dropbox.core.v2.paper
Class DbxUserPaperRequests
java.lang.Object
com.dropbox.core.v2.paper.DbxUserPaperRequests
Routes in namespace "paper".
-
Constructor Summary
Constructors -
Method Summary
Modifier and TypeMethodDescriptionvoiddocsArchive(String docId) Deprecated.docsCreate(ImportFormat importFormat) Deprecated.docsCreate(ImportFormat importFormat, String parentFolderId) Deprecated.docsDownload(String docId, ExportFormat exportFormat) Deprecated.docsDownload(String docId, ExportFormat exportFormat, boolean includeComments) Deprecated.docsDownloadBuilder(String docId, ExportFormat exportFormat) Deprecated.docsFolderUsersList(String docId) Deprecated.docsFolderUsersList(String docId, int limit) Deprecated.docsFolderUsersListContinue(String docId, String cursor) Deprecated.docsGetFolderInfo(String docId) Deprecated.Returns metadata for a Paper doc or Cloud Doc.Returns metadata for a Paper doc or Cloud Doc.docsList()Deprecated.Deprecated.docsListContinue(String cursor) Deprecated.voiddocsPermanentlyDelete(String docId) Deprecated.docsSharingPolicyGet(String docId) Deprecated.voiddocsSharingPolicySet(String docId, SharingPolicy sharingPolicy) Deprecated.docsUpdate(String docId, PaperDocUpdatePolicy docUpdatePolicy, long revision, ImportFormat importFormat) Deprecated.docsUsersAdd(String docId, List<AddMember> members) Deprecated.docsUsersAddBuilder(String docId, List<AddMember> members) Deprecated.docsUsersList(String docId) Deprecated.docsUsersListBuilder(String docId) Deprecated.docsUsersListContinue(String docId, String cursor) Deprecated.voiddocsUsersRemove(String docId, MemberSelector member) Deprecated.foldersCreate(String name) Deprecated.foldersCreateBuilder(String name) Deprecated.
-
Constructor Details
-
DbxUserPaperRequests
-
-
Method Details
-
docsArchive
Deprecated.Marks the given Paper doc as archived. This action can be performed or undone by anyone with edit permissions to the doc. Note that this endpoint will continue to work for content created by users on the older version of Paper. To check which version of Paper a user is on, use /users/features/get_values. If the paper_as_files feature is enabled, then the user is running the new version of Paper. This endpoint will be retired in September 2020. Refer to the Paper Migration Guide for more information.- Parameters:
docId- The Paper doc ID. Must not benull.- Throws:
IllegalArgumentException- If any argument does not meet its preconditions.DocLookupErrorExceptionDbxException
-
docsCreate
Deprecated.Creates a new Paper doc with the provided content. Note that this endpoint will continue to work for content created by users on the older version of Paper. To check which version of Paper a user is on, use /users/features/get_values. If the paper_as_files feature is enabled, then the user is running the new version of Paper. This endpoint will be retired in September 2020. Refer to the Paper Migration Guide for more information.- Parameters:
importFormat- The format of provided data. Must not benull.- Returns:
- Uploader used to upload the request body and finish request.
- Throws:
IllegalArgumentException- If any argument does not meet its preconditions.DbxException
-
docsCreate
@Deprecated public DocsCreateUploader docsCreate(ImportFormat importFormat, String parentFolderId) throws DbxException Deprecated.Creates a new Paper doc with the provided content. Note that this endpoint will continue to work for content created by users on the older version of Paper. To check which version of Paper a user is on, use /users/features/get_values. If the paper_as_files feature is enabled, then the user is running the new version of Paper. This endpoint will be retired in September 2020. Refer to the Paper Migration Guide for more information.- Parameters:
importFormat- The format of provided data. Must not benull.parentFolderId- The Paper folder ID where the Paper document should be created. The API user has to have write access to this folder or error is thrown.- Returns:
- Uploader used to upload the request body and finish request.
- Throws:
IllegalArgumentException- If any argument does not meet its preconditions.DbxException
-
docsDownload
@Deprecated public DbxDownloader<PaperDocExportResult> docsDownload(String docId, ExportFormat exportFormat) throws DocLookupErrorException, DbxException Deprecated.Exports and downloads Paper doc either as HTML or markdown. Note that this endpoint will continue to work for content created by users on the older version of Paper. To check which version of Paper a user is on, use /users/features/get_values. If the paper_as_files feature is enabled, then the user is running the new version of Paper. Refer to the Paper Migration Guide for migration information.The default values for the optional request parameters will be used. See
DocsDownloadBuilderfor more details.- Parameters:
docId- The Paper doc ID. Must not benull.exportFormat- Must not benull.- Returns:
- Downloader used to download the response body and view the server response.
- Throws:
IllegalArgumentException- If any argument does not meet its preconditions.DocLookupErrorExceptionDbxException
-
docsDownload
@Deprecated public DbxDownloader<PaperDocExportResult> docsDownload(String docId, ExportFormat exportFormat, boolean includeComments) throws DocLookupErrorException, DbxException Deprecated.Exports and downloads Paper doc either as HTML or markdown. Note that this endpoint will continue to work for content created by users on the older version of Paper. To check which version of Paper a user is on, use /users/features/get_values. If the paper_as_files feature is enabled, then the user is running the new version of Paper. Refer to the Paper Migration Guide for migration information.- Parameters:
docId- The Paper doc ID. Must not benull.exportFormat- Must not benull.includeComments- When true, export includes comment threads (e.g. markdown footnotes). When false or omitted, body only. Other formats may adopt this later; currently only markdown uses it. Plain bool (not optional): protoc-gen-godbx does not support proto3 optional yet.- Returns:
- Downloader used to download the response body and view the server response.
- Throws:
IllegalArgumentException- If any argument does not meet its preconditions.DocLookupErrorExceptionDbxException
-
docsDownloadBuilder
Deprecated.Exports and downloads Paper doc either as HTML or markdown. Note that this endpoint will continue to work for content created by users on the older version of Paper. To check which version of Paper a user is on, use /users/features/get_values. If the paper_as_files feature is enabled, then the user is running the new version of Paper. Refer to the Paper Migration Guide for migration information.- Parameters:
docId- The Paper doc ID. Must not benull.exportFormat- Must not benull.- Returns:
- Downloader builder for configuring the request parameters and instantiating a downloader.
- Throws:
IllegalArgumentException- If any argument does not meet its preconditions.
-
docsFolderUsersList
@Deprecated public ListUsersOnFolderResponse docsFolderUsersList(String docId) throws DocLookupErrorException, DbxException Deprecated.Lists the users who are explicitly invited to the Paper folder in which the Paper doc is contained. For private folders all users (including owner) shared on the folder are listed and for team folders all non-team users shared on the folder are returned. Note that this endpoint will continue to work for content created by users on the older version of Paper. To check which version of Paper a user is on, use /users/features/get_values. If the paper_as_files feature is enabled, then the user is running the new version of Paper. Refer to the Paper Migration Guide for migration information.The
limitrequest parameter will default to1000(seedocsFolderUsersList(String,int)).- Parameters:
docId- The Paper doc ID. Must not benull.- Throws:
IllegalArgumentException- If any argument does not meet its preconditions.DocLookupErrorExceptionDbxException
-
docsFolderUsersList
@Deprecated public ListUsersOnFolderResponse docsFolderUsersList(String docId, int limit) throws DocLookupErrorException, DbxException Deprecated.Lists the users who are explicitly invited to the Paper folder in which the Paper doc is contained. For private folders all users (including owner) shared on the folder are listed and for team folders all non-team users shared on the folder are returned. Note that this endpoint will continue to work for content created by users on the older version of Paper. To check which version of Paper a user is on, use /users/features/get_values. If the paper_as_files feature is enabled, then the user is running the new version of Paper. Refer to the Paper Migration Guide for migration information.- Parameters:
docId- The Paper doc ID. Must not benull.limit- Size limit per batch. The maximum number of users that can be retrieved per batch is 1000. Higher value results in invalid arguments error. Must be greater than or equal to 1 and be less than or equal to 1000.- Throws:
IllegalArgumentException- If any argument does not meet its preconditions.DocLookupErrorExceptionDbxException
-
docsFolderUsersListContinue
@Deprecated public ListUsersOnFolderResponse docsFolderUsersListContinue(String docId, String cursor) throws ListUsersCursorErrorException, DbxException Deprecated.Once a cursor has been retrieved fromdocsFolderUsersList(String,int), use this to paginate through all users on the Paper folder. Note that this endpoint will continue to work for content created by users on the older version of Paper. To check which version of Paper a user is on, use /users/features/get_values. If the paper_as_files feature is enabled, then the user is running the new version of Paper. Refer to the Paper Migration Guide for migration information.- Parameters:
docId- The Paper doc ID. Must not benull.cursor- The cursor obtained fromdocsFolderUsersList(String,int)ordocsFolderUsersListContinue(String,String). Allows for pagination. Must not benull.- Throws:
IllegalArgumentException- If any argument does not meet its preconditions.ListUsersCursorErrorExceptionDbxException
-
docsGetFolderInfo
@Deprecated public FoldersContainingPaperDoc docsGetFolderInfo(String docId) throws DocLookupErrorException, DbxException Deprecated.Retrieves folder information for the given Paper doc. This includes: - folder sharing policy; permissions for subfolders are set by the top-level folder. - full 'filepath', i.e. the list of folders (both folderId and folderName) from the root folder to the folder directly containing the Paper doc. If the Paper doc is not in any folder (aka unfiled) the response will be empty. Note that this endpoint will continue to work for content created by users on the older version of Paper. To check which version of Paper a user is on, use /users/features/get_values. If the paper_as_files feature is enabled, then the user is running the new version of Paper. Refer to the Paper Migration Guide for migration information.- Parameters:
docId- The Paper doc ID. Must not benull.- Returns:
- Metadata about Paper folders containing the specififed Paper doc.
- Throws:
IllegalArgumentException- If any argument does not meet its preconditions.DocLookupErrorExceptionDbxException
-
docsGetMetadata
Returns metadata for a Paper doc or Cloud Doc.- Returns:
- Metadata returned by docs/get_metadata.
- Throws:
DocLookupErrorExceptionDbxException
-
docsGetMetadataBuilder
Returns metadata for a Paper doc or Cloud Doc.- Returns:
- Request builder for configuring request parameters and completing the request.
-
docsList
Deprecated.Return the list of all Paper docs according to the argument specifications. To iterate over through the full pagination, pass the cursor todocsListContinue(String). Note that this endpoint will continue to work for content created by users on the older version of Paper. To check which version of Paper a user is on, use /users/features/get_values. If the paper_as_files feature is enabled, then the user is running the new version of Paper. Refer to the Paper Migration Guide for migration information.The default values for the optional request parameters will be used. See
DocsListBuilderfor more details.- Throws:
DbxApiExceptionDbxException
-
docsListBuilder
Deprecated.Return the list of all Paper docs according to the argument specifications. To iterate over through the full pagination, pass the cursor todocsListContinue(String). Note that this endpoint will continue to work for content created by users on the older version of Paper. To check which version of Paper a user is on, use /users/features/get_values. If the paper_as_files feature is enabled, then the user is running the new version of Paper. Refer to the Paper Migration Guide for migration information.- Returns:
- Request builder for configuring request parameters and completing the request.
-
docsListContinue
@Deprecated public ListPaperDocsResponse docsListContinue(String cursor) throws ListDocsCursorErrorException, DbxException Deprecated.Once a cursor has been retrieved fromdocsList(com.dropbox.core.v2.paper.ListPaperDocsArgs), use this to paginate through all Paper doc. Note that this endpoint will continue to work for content created by users on the older version of Paper. To check which version of Paper a user is on, use /users/features/get_values. If the paper_as_files feature is enabled, then the user is running the new version of Paper. Refer to the Paper Migration Guide for migration information.- Parameters:
cursor- The cursor obtained fromdocsList(com.dropbox.core.v2.paper.ListPaperDocsArgs)ordocsListContinue(String). Allows for pagination. Must not benull.- Throws:
IllegalArgumentException- If any argument does not meet its preconditions.ListDocsCursorErrorExceptionDbxException
-
docsPermanentlyDelete
@Deprecated public void docsPermanentlyDelete(String docId) throws DocLookupErrorException, DbxException Deprecated.Permanently deletes the given Paper doc. This operation is final as the doc cannot be recovered. This action can be performed only by the doc owner. Note that this endpoint will continue to work for content created by users on the older version of Paper. To check which version of Paper a user is on, use /users/features/get_values. If the paper_as_files feature is enabled, then the user is running the new version of Paper. Refer to the Paper Migration Guide for migration information.- Parameters:
docId- The Paper doc ID. Must not benull.- Throws:
IllegalArgumentException- If any argument does not meet its preconditions.DocLookupErrorExceptionDbxException
-
docsSharingPolicyGet
@Deprecated public SharingPolicy docsSharingPolicyGet(String docId) throws DocLookupErrorException, DbxException Deprecated.Gets the default sharing policy for the given Paper doc. Note that this endpoint will continue to work for content created by users on the older version of Paper. To check which version of Paper a user is on, use /users/features/get_values. If the paper_as_files feature is enabled, then the user is running the new version of Paper. Refer to the Paper Migration Guide for migration information.- Parameters:
docId- The Paper doc ID. Must not benull.- Returns:
- Sharing policy of Paper doc.
- Throws:
IllegalArgumentException- If any argument does not meet its preconditions.DocLookupErrorExceptionDbxException
-
docsSharingPolicySet
@Deprecated public void docsSharingPolicySet(String docId, SharingPolicy sharingPolicy) throws DocLookupErrorException, DbxException Deprecated.Sets the default sharing policy for the given Paper doc. The default 'team_sharing_policy' can be changed only by teams, omit this field for personal accounts. The 'public_sharing_policy' policy can't be set to the value 'disabled' because this setting can be changed only via the team admin console. Note that this endpoint will continue to work for content created by users on the older version of Paper. To check which version of Paper a user is on, use /users/features/get_values. If the paper_as_files feature is enabled, then the user is running the new version of Paper. Refer to the Paper Migration Guide for migration information.- Parameters:
docId- The Paper doc ID. Must not benull.sharingPolicy- The default sharing policy to be set for the Paper doc. Must not benull.- Throws:
IllegalArgumentException- If any argument does not meet its preconditions.DocLookupErrorExceptionDbxException
-
docsUpdate
@Deprecated public DocsUpdateUploader docsUpdate(String docId, PaperDocUpdatePolicy docUpdatePolicy, long revision, ImportFormat importFormat) throws DbxException Deprecated.Updates an existing Paper doc with the provided content. Note that this endpoint will continue to work for content created by users on the older version of Paper. To check which version of Paper a user is on, use /users/features/get_values. If the paper_as_files feature is enabled, then the user is running the new version of Paper. This endpoint will be retired in September 2020. Refer to the Paper Migration Guide for more information.- Parameters:
docId- The Paper doc ID. Must not benull.docUpdatePolicy- The policy used for the current update call. Must not benull.revision- The latest doc revision. This value must match the head revision or an error code will be returned. This is to prevent colliding writes.importFormat- The format of provided data. Must not benull.- Returns:
- Uploader used to upload the request body and finish request.
- Throws:
IllegalArgumentException- If any argument does not meet its preconditions.DbxException
-
docsUsersAdd
@Deprecated public List<AddPaperDocUserMemberResult> docsUsersAdd(String docId, List<AddMember> members) throws DocLookupErrorException, DbxException Deprecated.Allows an owner or editor to add users to a Paper doc or change their permissions using their email address or Dropbox account ID. The doc owner's permissions cannot be changed. Note that this endpoint will continue to work for content created by users on the older version of Paper. To check which version of Paper a user is on, use /users/features/get_values. If the paper_as_files feature is enabled, then the user is running the new version of Paper. Refer to the Paper Migration Guide for migration information.The default values for the optional request parameters will be used. See
DocsUsersAddBuilderfor more details.- Parameters:
docId- The Paper doc ID. Must not benull.members- User which should be added to the Paper doc. Specify only email address or Dropbox account ID. Must contain at most 20 items, not contain anullitem, and not benull.- Throws:
IllegalArgumentException- If any argument does not meet its preconditions.DocLookupErrorExceptionDbxException
-
docsUsersAddBuilder
Deprecated.Allows an owner or editor to add users to a Paper doc or change their permissions using their email address or Dropbox account ID. The doc owner's permissions cannot be changed. Note that this endpoint will continue to work for content created by users on the older version of Paper. To check which version of Paper a user is on, use /users/features/get_values. If the paper_as_files feature is enabled, then the user is running the new version of Paper. Refer to the Paper Migration Guide for migration information.- Parameters:
docId- The Paper doc ID. Must not benull.members- User which should be added to the Paper doc. Specify only email address or Dropbox account ID. Must contain at most 20 items, not contain anullitem, and not benull.- Returns:
- Request builder for configuring request parameters and completing the request.
- Throws:
IllegalArgumentException- If any argument does not meet its preconditions.
-
docsUsersList
@Deprecated public ListUsersOnPaperDocResponse docsUsersList(String docId) throws DocLookupErrorException, DbxException Deprecated.Lists all users who visited the Paper doc or users with explicit access. This call excludes users who have been removed. The list is sorted by the date of the visit or the share date. The list will include both users, the explicitly shared ones as well as those who came in using the Paper url link. Note that this endpoint will continue to work for content created by users on the older version of Paper. To check which version of Paper a user is on, use /users/features/get_values. If the paper_as_files feature is enabled, then the user is running the new version of Paper. Refer to the Paper Migration Guide for migration information.The default values for the optional request parameters will be used. See
DocsUsersListBuilderfor more details.- Parameters:
docId- The Paper doc ID. Must not benull.- Throws:
IllegalArgumentException- If any argument does not meet its preconditions.DocLookupErrorExceptionDbxException
-
docsUsersListBuilder
Deprecated.Lists all users who visited the Paper doc or users with explicit access. This call excludes users who have been removed. The list is sorted by the date of the visit or the share date. The list will include both users, the explicitly shared ones as well as those who came in using the Paper url link. Note that this endpoint will continue to work for content created by users on the older version of Paper. To check which version of Paper a user is on, use /users/features/get_values. If the paper_as_files feature is enabled, then the user is running the new version of Paper. Refer to the Paper Migration Guide for migration information.- Parameters:
docId- The Paper doc ID. Must not benull.- Returns:
- Request builder for configuring request parameters and completing the request.
- Throws:
IllegalArgumentException- If any argument does not meet its preconditions.
-
docsUsersListContinue
@Deprecated public ListUsersOnPaperDocResponse docsUsersListContinue(String docId, String cursor) throws ListUsersCursorErrorException, DbxException Deprecated.Once a cursor has been retrieved fromdocsUsersList(String), use this to paginate through all users on the Paper doc. Note that this endpoint will continue to work for content created by users on the older version of Paper. To check which version of Paper a user is on, use /users/features/get_values. If the paper_as_files feature is enabled, then the user is running the new version of Paper. Refer to the Paper Migration Guide for migration information.- Parameters:
docId- The Paper doc ID. Must not benull.cursor- The cursor obtained fromdocsUsersList(String)ordocsUsersListContinue(String,String). Allows for pagination. Must not benull.- Throws:
IllegalArgumentException- If any argument does not meet its preconditions.ListUsersCursorErrorExceptionDbxException
-
docsUsersRemove
@Deprecated public void docsUsersRemove(String docId, MemberSelector member) throws DocLookupErrorException, DbxException Deprecated.Allows an owner or editor to remove users from a Paper doc using their email address or Dropbox account ID. The doc owner cannot be removed. Note that this endpoint will continue to work for content created by users on the older version of Paper. To check which version of Paper a user is on, use /users/features/get_values. If the paper_as_files feature is enabled, then the user is running the new version of Paper. Refer to the Paper Migration Guide for migration information.- Parameters:
docId- The Paper doc ID. Must not benull.member- User which should be removed from the Paper doc. Specify only email address or Dropbox account ID. Must not benull.- Throws:
IllegalArgumentException- If any argument does not meet its preconditions.DocLookupErrorExceptionDbxException
-
foldersCreate
@Deprecated public PaperFolderCreateResult foldersCreate(String name) throws PaperFolderCreateErrorException, DbxException Deprecated.Create a new Paper folder with the provided info. Note that this endpoint will continue to work for content created by users on the older version of Paper. To check which version of Paper a user is on, use /users/features/get_values. If the paper_as_files feature is enabled, then the user is running the new version of Paper. Refer to the Paper Migration Guide for migration information.- Parameters:
name- The name of the new Paper folder. Must not benull.- Throws:
IllegalArgumentException- If any argument does not meet its preconditions.PaperFolderCreateErrorExceptionDbxException
-
foldersCreateBuilder
Deprecated.Create a new Paper folder with the provided info. Note that this endpoint will continue to work for content created by users on the older version of Paper. To check which version of Paper a user is on, use /users/features/get_values. If the paper_as_files feature is enabled, then the user is running the new version of Paper. Refer to the Paper Migration Guide for migration information.- Parameters:
name- The name of the new Paper folder. Must not benull.- Returns:
- Request builder for configuring request parameters and completing the request.
- Throws:
IllegalArgumentException- If any argument does not meet its preconditions.
-